%define upstream_name    base
%define upstream_version 2.15

Name:       perl-pragma-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Compile-time class fields
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch

Provides: perl(base)

%description
Unless you are using the 'fields' pragma, consider this module discouraged
in favor of the lighter-weight 'parent'.

Allows you to both load one or more modules, while setting up inheritance
from those modules at the same time. Roughly similar in effect to

    package Baz;
    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.150.0-10.mga8
+ Revision: 1496929
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.150.0-9.mga7
+ Revision: 1270875
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.150.0-8.mga6
+ Revision: 1032691
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 2.150.0-7.mga6
+ Revision: 936151
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.150.0-6.mga5
+ Revision: 749857
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.150.0-5.mga5
+ Revision: 687053
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.150.0-4.mga4
+ Revision: 516447
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.150.0-3.mga3
+ Revision: 375539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 2.150.0-2.mga2
+ Revision: 103656
- increase rel for rebuild

* Tue Jan 18 2011 jquelin <jquelin> 2.150.0-1.mga1
+ Revision: 22780
- cleaning spec file
- imported package perl-pragma-base

